%define upstream_name    Devel-FindPerl
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Find the path to your perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Config)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module tries to find the path to the currently running perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-3.mga6
+ Revision: 1025505
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.14.0-2.mga6
+ Revision: 968144
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 851346
- update to 0.014

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-3.mga5
+ Revision: 747777
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-2.mga5
+ Revision: 684316
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 guillomovitch <guillomovitch> 0.12.0-1.mga4
+ Revision: 560072
- new version 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 510815
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 365748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 guillomovitch <guillomovitch> 0.6.0-1.mga3
+ Revision: 334367
- imported package perl-Devel-FindPerl


* Sun Dec 23 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
